## Example configuration file for svnperms.py. ##

# $Id: svnperms.conf.example 15920 2005-08-25 22:56:40Z niemeyer $
#
# Multiple global [groups] sections are accepted, but be aware
# that it's the same as concatenating them all in a single entry.
# You can also create section specific groups, using a syntax
# like [sectionname groups].
#

[groups]
repoadmin = administator 
projectadmin = user1 user2

# The word "repo" should be replaced with the name of the repository
# Nico Kadel-Garcia, nico.kadel-garcia@bostonstock.com

#
# One of the most used repository structures, for a single repo.
#
[repo]
# Allow top level changes
.* = @repoadmin(add,remove,update)

# Control tag/trunk/branch editing
trunk/.* = *(add,remove,update)
tags/[^/]+/ = *(add) @projectadmin(add,remove)
branches/[^/]+/.* = *(add,remove,update)

#
# Alternative structure for individual project directories
#

## Allow project1 top level changes
#project1/.* = @repoadmin(add,remove,update)
#
## Control project1 tag/trunk/branch editing
#project1/trunk/.* = *(add,remove,update)
#project1/tags/[^/]+/ = *(add) @projectadmin(add,remove)
#project1/branches/[^/]+/.* = *(add,remove,update)



